## scour 0.32

=== Makefile ===
all: clean install

install:
	python setup.py install

clean:
	rm -rf build
	rm -rf dist
	rm -rf scour.egg-info

publish: clean
	python setup.py register
	python setup.py sdist upload

test_version:
	PYTHONPATH=. python -m scour.scour --version

test_help:
	PYTHONPATH=. python -m scour.scour --help

## scour 0.25+bzr207

=== debian/changelog ===
scour (0.25+bzr207-2) unstable; urgency=low

  * debian/control: Drop python-rsvg and python-cairo from Depends to
    Suggests, it's a too heavy build dependency, causing dependency loops.
    Point out rationale for the Suggests in the package description.
    (LP: #734471)
  * debian/cmpsvg: If rsvg or cairo modules aren't available, exit
    successfully with an error message.

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 Mar 2011 12:23:34 +0100

scour (0.25+bzr207-1) unstable; urgency=low

  * New upstream bzr snapshot:
    - Add the option --no-renderer-workaround.
    - Fix gradient corruption. (LP: #702423)
    - Add option to only remove autogenerated id's. (LP: #492277)
    - Fix Windows line ending handling. (LP: #717826)
    - Fix occasional production of empty defs. (LP: #717254)
    - Remove more attributes with default values. (LP: #714731)
    - Fix wrong handling of file:// references. (LP: #708515)
    - Delete text attributes from groups with only non-text elements.
      (LP: #714727)
    - Remove unnecessary text-align properties from non-text elements.
      (LP: #714720)
    - Fix wrong optimization of 0-length Bézier curves. (LP: #714717)
    - Fix decimal number processing in rule_elliptical_arc(). (LP: #638764)
    - Fix transform matrix order. (LP: #722544)
  * Drop 01-bzr195.patch, upstream now.
  * debian/cmpsvg: Fix computation of difference to add up the absolute
    difference of each pixel.
  * debian/cmpsvg: Show percentages with three digits after comma.
  * debian/cmpsvg: Lower default treshold to 0.05%.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Mar 2011 09:28:45 +0100

scour (0.25+bzr194-3) unstable; urgency=low

  * Add debian/cmpsvg: Simple python script for fuzzy-comparing two SVGs. Add
    python-rsvg and python-cairo dependencies for this.
  * debian/python-scour.install: Install cmpsvg.
  * debian/dh_scour: Call cmpsvg after scour, and only accept the optimized
    file if cmpsvg succeeds. This avoids shipping broken SVGs due to scour
    bugs. (LP: #702423)

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Mar 2011 17:51:09 +0100

scour (0.25+bzr194-2) unstable; urgency=low

  * debian/dh_scour: Use --disable-style-to-xml option by default (LP: #690994).

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Feb 2011 20:07:28 +0100

scour (0.25+bzr194-1) unstable; urgency=low

  * Initial release (Closes: #605358).

 -- Alessio Treglia <alessio@debian.org>  Mon, 29 Nov 2010 10:32:04 +0100

=== debian/control ===
Source: scour
Section: python
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-all
Build-Depends-Indep: perl
Standards-Version: 3.9.1
X-Python-Version: >= 2.6
Homepage: http://codedread.com/scour/
Vcs-Git: git://git.debian.org/collab-maint/scour.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/scour.git

Package: python-scour
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends}
Suggests:
 python-rsvg,
 python-cairo
Description: SVG scrubber and optimizer
 Scour is a Python module that aggressively cleans SVG files, removing a lot of
 unnecessary information that certain tools or authors embed into their
 documents.  The goal of scour is to provide an identically rendered image
 (i.e. a scoured document should have no discernable visible differences from
 the original file) while minimizing the file size.
 .
 WARNING: Scour is intended to be run on files that have been edited in Vector
 Graphics editors such as Inkscape or Adobe Illustrator.  Scour attempts to
 optimize the file, and as result, it will change the file's structure and
 (possibly) its semantics.  If you have hand-edited your SVG files, you will
 probably not be happy with the output of Scour. 
 .
 Never use scour to overwrite your original file!
 .
 This package also provides a dh_scour debhelper extension which optimizes all
 shipped SVGs during package build. If python-rsvg and python-cairo are
 available, it will also do a before/after comparison and discard the optimized
 image if they differ by more than 0.05%.

## scour 0.26

=== debian/changelog ===
scour (0.26-3build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:57 +0000

scour (0.26-3) unstable; urgency=low

  * Add patch from upstream's trunk to fix:
    - Incorrect handling of comments when the file starts with a comment.
    - Failure when parsing a polygon starting with a negative coordinate.

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Dec 2011 10:31:02 +0100

scour (0.26-2) unstable; urgency=low

  * debian/dh_scour: Set permissions/owner of optimized files to those of
    original file. (LP: #889837)
  * debian/cmpsvg: Fix crash on empty SVGs. (LP: #740879)

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Nov 2011 10:09:24 +0100

scour (0.26-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream version.
  * debian/control: Bump Standards-Version to 3.9.2 (no changes necessary).

  [ Martin Pitt ]
  * debian/dh_scour: Support *.svgz icons as well. Thanks to Felix Geyer for
    the patch. (LP: #781810)

 -- Martin Pitt <mpitt@debian.org>  Fri, 20 May 2011 08:49:57 +0200

scour (0.25+bzr207-2.1) unstable; urgency=low

  * Non-maintainer upload (just a rebuild to add Python 2.7 and
    dropPython 2.5 support)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 16 Apr 2011 13:00:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
  python-all
 Build-Depends-Indep: perl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 X-Python-Version: >= 2.6
 Homepage: http://codedread.com/scour/
 Vcs-Git: git://git.debian.org/collab-maint/scour.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_clean:
	rm -f debian/dh_scour.1
	dh_auto_clean
override_dh_auto_build:
	dh_auto_build
	pod2man debian/dh_scour debian/dh_scour.1

get-orig-source:
	uscan --force-download --repack --rename

=== debian/watch ===
version=3
http://codedread.com/scour/ \
scour-([\d\.]+)\.zip

## scour 0.32

=== debian/changelog ===
scour (0.32-1) unstable; urgency=medium

  * New upstream release.
  * Run the two test scripts during package build. Add python-six build
    dependency.
  * Add python3-scour package. (Closes: #802323)
  * Add autopkgtest.
  * Install setup.py generated "scour" binary instead of simple symlink, as
    the latter stopped working with this new upstream version.

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Jan 2016 16:12:51 +0100

scour (0.28-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Stop building for 2.6 and using /usr/share/pyshared. (Closes: #802322)

  [ Martin Pitt ]
  * New upstream release. (Closes: #781721)
  * Drop 1001-points_start_with_negative.patch, included upstream.
  * Add new python-setuptools build dependency.
  * debian/control, debian/watch: Upstream moved to github, adjust URLs.
  * Bump Standards-Version to 3.9.6.
  * debian/rules: Drop get-orig-source rule; gbp gets orig tarballs in a nicer
    way.
  * debian/rules: Move to pybuild build system, so that setup.py works with
    current upstream version.
  * debian/python-scour.links: Adjust to changed executable path. Make file
    executable again in debian/rules.

 -- Martin Pitt <mpitt@debian.org>  Mon, 19 Oct 2015 15:59:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,28 @@
 Maintainer: Alessio Treglia <alessio@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- python-all
+ dh-python,
+ python,
+ python-setuptools,
+ python-six,
+ python3-all,
+ python3-setuptools,
+ python3-six,
 Build-Depends-Indep: perl
-Standards-Version: 3.9.2
-X-Python-Version: >= 2.6
-Homepage: http://codedread.com/scour/
+Standards-Version: 3.9.6
+Homepage: https://github.com/codedread/scour
 Vcs-Git: git://git.debian.org/collab-maint/scour.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scour.git
 
 Package: python-scour
 Architecture: all
 Depends: ${misc:Depends},
- ${python:Depends}
+ ${python:Depends},
+ python-pkg-resources,
 Suggests:
  python-rsvg,
  python-cairo
-Description: SVG scrubber and optimizer
+Description: SVG scrubber and optimizer (Python 2 module)
  Scour is a Python module that aggressively cleans SVG files, removing a lot of
  unnecessary information that certain tools or authors embed into their
  documents.  The goal of scour is to provide an identically rendered image
@@ -30,7 +36,7 @@
  Graphics editors such as Inkscape or Adobe Illustrator.  Scour attempts to
  optimize the file, and as result, it will change the file's structure and
  (possibly) its semantics.  If you have hand-edited your SVG files, you will
- probably not be happy with the output of Scour. 
+ probably not be happy with the output of Scour.
  .
  Never use scour to overwrite your original file!
  .
@@ -38,3 +44,23 @@
  shipped SVGs during package build. If python-rsvg and python-cairo are
  available, it will also do a before/after comparison and discard the optimized
  image if they differ by more than 0.05%.
+
+Package: python3-scour
+Architecture: all
+Depends: ${misc:Depends},
+ ${python3:Depends},
+ python3-pkg-resources,
+Description: SVG scrubber and optimizer (Python 3 module)
+ Scour is a Python module that aggressively cleans SVG files, removing a lot of
+ unnecessary information that certain tools or authors embed into their
+ documents.  The goal of scour is to provide an identically rendered image
+ (i.e. a scoured document should have no discernable visible differences from
+ the original file) while minimizing the file size.
+ .
+ WARNING: Scour is intended to be run on files that have been edited in Vector
+ Graphics editors such as Inkscape or Adobe Illustrator.  Scour attempts to
+ optimize the file, and as result, it will change the file's structure and
+ (possibly) its semantics.  If you have hand-edited your SVG files, you will
+ probably not be happy with the output of Scour.
+ .
+ Never use scour to overwrite your original file!

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -f debian/dh_scour.1
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	pod2man debian/dh_scour debian/dh_scour.1

override_dh_auto_test:
	for p in $$(pyversions -s) $$(py3versions -s); do \
	  echo "Running tests with $$p..."; \
	  $$p ./testcss.py; \
	  $$p ./testscour.py; \
	done

override_dh_install:
	dh_install
	sed -i '1 s/python3/python/' debian/python-scour/usr/bin/scour

=== debian/tests/control ===
Test-Command: scour --help | grep Usage
Depends: python-scour

Test-Command: R=`readlink -f .`; cd $ADTTMP; python $R/debian/tests/module.py $R/unittests/polygon.svg
Depends: python-scour, librsvg2-bin

Test-Command: R=`readlink -f .`; cd $ADTTMP; python3 $R/debian/tests/module.py $R/unittests/polygon.svg
Depends: python3-scour, librsvg2-bin

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/scour-$1.tar.gz/" \
         https://github.com/codedread/scour/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## scour 0.36

=== Makefile ===
--- 
+++ 
@@ -7,13 +7,33 @@
 	rm -rf build
 	rm -rf dist
 	rm -rf scour.egg-info
+	rm -rf .tox
+	rm -f .coverage*
+	rm -rf htmlcov
+	find . -name "*.pyc" -type f -exec rm -f {} \;
+	find . -name "*__pycache__" -type d -prune -exec rm -rf {} \;
 
 publish: clean
 	python setup.py register
 	python setup.py sdist upload
+
+check: test flake8
+
+
+
+test:
+	python testscour.py
 
 test_version:
 	PYTHONPATH=. python -m scour.scour --version
 
 test_help:
 	PYTHONPATH=. python -m scour.scour --help
+
+flake8:
+	flake8 --max-line-length=119
+
+coverage:
+	coverage run --source=scour testscour.py
+	coverage html
+	coverage report

=== debian/changelog ===
scour (0.36-2) unstable; urgency=medium

  * debian/control: Update Vcs-* for anonscm and https
  * Bump Standards-Version to 4.1.3
  * Split CLI and debhelper into new "scour" package.
    The previous migration from python-scour to python3-scour caused build
    failures and confusion with reverse build dependencies and on upgrades.
    Put these parts into a new "scour" binary package.
    Add a temporary scour dependency to python-scour until all reverse build
    dependencies get updated and after the buster release. (Closes: #886203)

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Jan 2018 10:21:21 +0100

scour (0.36-1) unstable; urgency=medium

  [ Alessio Treglia ]
  * Use GObject introspection bindings instead of python-rsvg.
    Thanks to Laurent Bigonville for the patch (Closes: #840181)
  * Remove myself from the Maintainers field (Closes: #840194)

  [ Martin Pitt ]
  * New upstream version 0.36
  * Update package description for moving to GI
  * Bump debhelper compat to 10
  * Fix wrong spelling of "discernible" in package description.
    Thanks lintian.
  * Update debian/copyright format to current spec
  * autopkgtest: Replace obsolete $ADTMP with $AUTOPKGTEST_TMP
  * Bump Standards-Version to 4.1.2
  * autopkgtest: Cover CLI invocation of scour and cmpsvg helper
  * Move dh_scour and scour CLI to python3-scour.
    Port cmpsvg to Python 3. (Closes: #851478)

 -- Martin Pitt <mpitt@debian.org>  Sat, 23 Dec 2017 15:46:30 +0100

scour (0.32-2) unstable; urgency=medium

  * debian/tests/module.py: Use "rsvg-convert" instead of "rsvg" to get along
    with librsvg >= 2.40.16-1.
  * Bump Standards-Version to 3.9.8 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Jun 2016 18:56:26 +0200

=== debian/control ===
Source: scour
Section: python
Priority: optional
Maintainer: Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper (>= 10),
 dh-python,
 python,
 python-setuptools,
 python-six,
 python3-all,
 python3-setuptools,
 python3-six,
Build-Depends-Indep: perl
Standards-Version: 4.1.3
Homepage: https://github.com/codedread/scour
Vcs-Git: git://anonscm.debian.org/collab-maint/scour.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/scour.git

Package: python-scour
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 python-pkg-resources,
#FIXME: backwards compatible dependency until all reverse build deps move to scour
 scour,
Description: SVG scrubber and optimizer (Python 2 module)
 Scour is a Python module that aggressively cleans SVG files, removing a lot of
 unnecessary information that certain tools or authors embed into their
 documents.  The goal of scour is to provide an identically rendered image
 (i.e. a scoured document should have no discernible visible differences from
 the original file) while minimizing the file size.
 .
 WARNING: Scour is intended to be run on files that have been edited in Vector
 Graphics editors such as Inkscape or Adobe Illustrator.  Scour attempts to
 optimize the file, and as result, it will change the file's structure and
 (possibly) its semantics.  If you have hand-edited your SVG files, you will
 probably not be happy with the output of Scour.
 .
 Never use scour to overwrite your original file!

Package: python3-scour
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources,
Description: SVG scrubber and optimizer (Python 3 module)
 Scour is a Python module that aggressively cleans SVG files, removing a lot of
 unnecessary information that certain tools or authors embed into their
 documents.  The goal of scour is to provide an identically rendered image
 (i.e. a scoured document should have no discernible visible differences from
 the original file) while minimizing the file size.
 .
 WARNING: Scour is intended to be run on files that have been edited in Vector
 Graphics editors such as Inkscape or Adobe Illustrator.  Scour attempts to
 optimize the file, and as result, it will change the file's structure and
 (possibly) its semantics.  If you have hand-edited your SVG files, you will
 probably not be happy with the output of Scour.
 .
 Never use scour to overwrite your original file!

Package: scour
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-scour,
Suggests:
 gir1.2-rsvg-2.0,
 python3-gi-cairo,
Conflicts: python-scour (<< 0.32-3~), python3-scour (<< 0.36-2~)
Replaces: python-scour (<< 0.32-3~), python3-scour (<< 0.36-2~)
Description: SVG scrubber and optimizer (CLI and debhelper)
 Scour is a Python module that aggressively cleans SVG files, removing a lot of
 unnecessary information that certain tools or authors embed into their
 documents.  The goal of scour is to provide an identically rendered image
 (i.e. a scoured document should have no discernible visible differences from
 the original file) while minimizing the file size.
 .
 WARNING: Scour is intended to be run on files that have been edited in Vector
 Graphics editors such as Inkscape or Adobe Illustrator.  Scour attempts to
 optimize the file, and as result, it will change the file's structure and
 (possibly) its semantics.  If you have hand-edited your SVG files, you will
 probably not be happy with the output of Scour.
 .
 This package provides the "scour" command line utility and a dh_scour
 debhelper extension which optimizes all shipped SVGs during package build. If
 gir1.2-rsvg-2.0 and python3-gi-cairo are available, it will also do a
 before/after comparison and discard the optimized image if they differ by more
 than 0.05%.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,3 @@
 	  $$p ./testcss.py; \
 	  $$p ./testscour.py; \
 	done
-
-override_dh_install:
-	dh_install
-	sed -i '1 s/python3/python/' debian/python-scour/usr/bin/scour

=== debian/tests/control ===
Tests: cli
Depends: scour, gir1.2-rsvg-2.0, python3-gi-cairo

Test-Command: R=`readlink -f .`; cd $AUTOPKGTEST_TMP; python $R/debian/tests/module.py $R/unittests/polygon.svg
Depends: python-scour, librsvg2-bin

Test-Command: R=`readlink -f .`; cd $AUTOPKGTEST_TMP; python3 $R/debian/tests/module.py $R/unittests/polygon.svg
Depends: python3-scour, librsvg2-bin

## scour 0.37

=== debian/changelog ===
scour (0.37-4build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:45:53 +0000

scour (0.37-4) unstable; urgency=medium

  * Add autopkgtests to check scour/cmpsvg without Suggests.
    This reproduces #943776
  * cmpsvg: Intercept proper exception from gi.require_version.
    If python3-gi is installed, but gir1.2-rsvg-2.0 is not, cmpsvg crashed
    with a ValueError from `gi.require_version()` instead of exiting
    gracefully with a warning. (Closes: #943776)
  * Bump Standards-Version to 4.4.1. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Oct 2019 22:43:38 +0000

scour (0.37-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.  No changes necessary.
  * Drop python-scour package. Part of Python 2 removal. (Closes: #938449)

 -- Martin Pitt <mpitt@debian.org>  Sat, 31 Aug 2019 11:05:06 +0000

scour (0.37-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add Provides: dh-sequence-scour.
    Packages can now Build-Depend on dh-sequence-scour
    instead of scour and then drop "--with scour" from debian/rules
    (Requires debhelper 12)

  [ Martin Pitt ]
  * Bump Standards-Version to 4.3.0. No changes necessary.
  * Move to debhelper compat level 12.

 -- Martin Pitt <mpitt@debian.org>  Sun, 13 Jan 2019 12:01:02 +0000

scour (0.37-1) unstable; urgency=medium

  * New upstream version 0.37 (Closes: #903004)
  * Bump Standards-Version to 4.1.5.
    No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Aug 2018 19:38:03 +0000

scour (0.36-3) unstable; urgency=medium

  * Move new scour package to "graphics" section (Closes: #890049)
  * Update Vcs-* for the move to salsa.debian.org

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 Mar 2018 14:00:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,41 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
- python,
- python-setuptools,
- python-six,
  python3-all,
  python3-setuptools,
  python3-six,
 Build-Depends-Indep: perl
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://github.com/codedread/scour
-Vcs-Git: git://anonscm.debian.org/collab-maint/scour.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/scour.git
-
-Package: python-scour
-Architecture: all
-Depends: ${misc:Depends},
- ${python:Depends},
- python-pkg-resources,
-#FIXME: backwards compatible dependency until all reverse build deps move to scour
- scour,
-Description: SVG scrubber and optimizer (Python 2 module)
- Scour is a Python module that aggressively cleans SVG files, removing a lot of
- unnecessary information that certain tools or authors embed into their
- documents.  The goal of scour is to provide an identically rendered image
- (i.e. a scoured document should have no discernible visible differences from
- the original file) while minimizing the file size.
- .
- WARNING: Scour is intended to be run on files that have been edited in Vector
- Graphics editors such as Inkscape or Adobe Illustrator.  Scour attempts to
- optimize the file, and as result, it will change the file's structure and
- (possibly) its semantics.  If you have hand-edited your SVG files, you will
- probably not be happy with the output of Scour.
- .
- Never use scour to overwrite your original file!
+Vcs-Git: https://salsa.debian.org/debian/scour.git
+Vcs-Browser: https://salsa.debian.org/debian/scour
 
 Package: python3-scour
 Architecture: all
@@ -59,6 +34,7 @@
  Never use scour to overwrite your original file!
 
 Package: scour
+Section: graphics
 Architecture: all
 Depends: ${misc:Depends},
  ${python3:Depends},
@@ -66,6 +42,7 @@
 Suggests:
  gir1.2-rsvg-2.0,
  python3-gi-cairo,
+Provides: dh-sequence-scour
 Conflicts: python-scour (<< 0.32-3~), python3-scour (<< 0.36-2~)
 Replaces: python-scour (<< 0.32-3~), python3-scour (<< 0.36-2~)
 Description: SVG scrubber and optimizer (CLI and debhelper)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -f debian/dh_scour.1
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	pod2man debian/dh_scour debian/dh_scour.1

override_dh_auto_test:
	for p in $$(py3versions -s); do \
	  echo "Running tests with $$p..."; \
	  $$p ./testcss.py; \
	  $$p ./testscour.py; \
	done

## scour 0.38.2

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 
 test:
-	python testscour.py
+	python test_scour.py
 
 test_version:
 	PYTHONPATH=. python -m scour.scour --version
@@ -34,6 +34,6 @@
 	flake8 --max-line-length=119
 
 coverage:
-	coverage run --source=scour testscour.py
+	coverage run --source=scour test_scour.py
 	coverage html
 	coverage report

=== debian/changelog ===
scour (0.38.2-6) unstable; urgency=medium

  [ Enkelena Haxhija ]
  * Add man page for scour assembled from help2man, enriched with custom
    snippets mostly from the upstream README.  The man page is auto-generated
    via help2man, and the typo-in-manual-page lintian warning on "agressive ->
    aggressive" comes from the program's --help output which is
    programmatically converted. This will be fixed in the next upstream
    release: https://github.com/scour-project/scour/pull/284/

  [ Martin Pitt ]
  * Bump Standards-Version to 4.7.2.  No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 18 May 2025 08:26:17 +0000

scour (0.38.2-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0. No changes necessary.
  * Drop unused and deprecated python3-pkg-resources dependency
    (Closes: #1083763)

 -- Martin Pitt <mpitt@debian.org>  Thu, 10 Oct 2024 10:31:44 +0000

scour (0.38.2-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * add upstream patch to remove usage of python3-six
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 07 Jan 2024 05:55:20 +0100

scour (0.38.2-4) unstable; urgency=medium

  * Mark packages as Multi-Arch: foreign, so that they can be used in
    cross-builds. (Closes: #1058577)

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Dec 2023 08:05:58 +0000

scour (0.38.2-3) unstable; urgency=medium

  * Ignore .egg-info/ changes during package cleaning.
    The egg-info is rebuilt during binary package build, with a different
    setuptools than the upstream release. This failed building a source
    package after a binary build. (Closes: #1046717)
  * Bump Standards-Version to 4.6.2. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Fri, 18 Aug 2023 16:53:19 +0200

scour (0.38.2-2) unstable; urgency=medium

  * debian/control: Declare Rules-Requires-Root: no
  * debian/watch: Update to version 4
  * debian/changelog: Fix overlong lines in version 0.38.2-1
  * Move to debhelper compat level 13
  * debian/control: Drop obsolete Conflicts/Replaces.
    These applied to the "scour" package before buster.
  * debian/copyright: Update to current upstream version.
    Also fix mismatching Files: globs.
  * Bump Standards-Version to 4.6.0
  * debian/cmpsvg: Port away from deprecated Rsvg.Handle.render_cairo()
    librsvg 2.52 has deprecated this function in favor of render_document()
    Port to that method. This is available since rsvg 2.46 (in Debian 11),
    bump dependency accordingly. (Closes: #1003349)

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jan 2022 14:28:33 +0100

scour (0.38.2-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream version 0.38.2. (Closes: #975648)
  * Bump Standards-Version to 4.5.1. No changes necessary.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
    Fixes: lintian: upstream-metadata-missing-repository
    https://lintian.debian.org/tags/upstream-metadata-missing-repository.html
  * Fix field name typo in debian/copyright (X-Comment => Comment).
    Changes-By: lintian-brush
    Fixes: lintian: field-name-typo-in-dep5-copyright
    https://lintian.debian.org/tags/field-name-typo-in-dep5-copyright.html

 -- Martin Pitt <mpitt@debian.org>  Thu, 03 Dec 2020 06:42:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper-compat (= 12),
- dh-python,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-python3,
+ help2man,
  python3-all,
  python3-setuptools,
- python3-six,
 Build-Depends-Indep: perl
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/codedread/scour
 Vcs-Git: https://salsa.debian.org/debian/scour.git
 Vcs-Browser: https://salsa.debian.org/debian/scour
+Rules-Requires-Root: no
 
 Package: python3-scour
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${python3:Depends},
- python3-pkg-resources,
 Description: SVG scrubber and optimizer (Python 3 module)
  Scour is a Python module that aggressively cleans SVG files, removing a lot of
  unnecessary information that certain tools or authors embed into their
@@ -36,15 +37,14 @@
 Package: scour
 Section: graphics
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${python3:Depends},
  python3-scour,
 Suggests:
- gir1.2-rsvg-2.0,
+ gir1.2-rsvg-2.0 (>= 2.46),
  python3-gi-cairo,
 Provides: dh-sequence-scour
-Conflicts: python-scour (<< 0.32-3~), python3-scour (<< 0.36-2~)
-Replaces: python-scour (<< 0.32-3~), python3-scour (<< 0.36-2~)
 Description: SVG scrubber and optimizer (CLI and debhelper)
  Scour is a Python module that aggressively cleans SVG files, removing a lot of
  unnecessary information that certain tools or authors embed into their

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	rm -f debian/dh_scour.1 debian/scour.1

execute_after_dh_auto_build:
	pod2man debian/dh_scour debian/dh_scour.1

execute_before_dh_installman:
	PYTHONPATH="." \
	help2man --no-info \
		--include debian/manpage_snippets \
		--output debian/scour.1  \
		--no-discard-stderr \
		--name "Optimize and clean SVG files" \
		"debian/scour/usr/bin/scour"
	# Remove version line from --help output and the Copyright
	# statement that we reproduce via debian/manpage_snippets
	# in the correct section
	sed -i "/^scour [0-9]/d; /^Copyright Jeff/d" debian/scour.1

execute_after_dh_auto_test:
	for p in $$(py3versions -s); do \
	  echo "Running tests with $$p..."; \
	  $$p ./test_css.py; \
	  $$p ./test_scour.py; \
	done

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/scour-$1.tar.gz/" \
         https://github.com/codedread/scour/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
